Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nortel.soa.oi.cct.types
Class ConnectionCapabilities

    java.lang.Object
      com.nortel.soa.oi.cct.types.ConnectionCapabilities

    public class ConnectionCapabilities

extends java.lang.Object

Java class for connectionCapabilities complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="connectionCapabilities">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="canAccept" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="canAlert" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="canDisconnect" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="canPark" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="canRedirect" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="canReject" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

Constructor Summary
`ConnectionCapabilities()`

Method Summary
`boolean` | `isCanAccept()` Gets the value of the canAccept property.
`boolean` | `isCanAlert()` Gets the value of the canAlert property.
`boolean` | `isCanDisconnect()` Gets the value of the canDisconnect property.
`boolean` | `isCanPark()` Gets the value of the canPark property.
`boolean` | `isCanRedirect()` Gets the value of the canRedirect property.
`boolean` | `isCanReject()` Gets the value of the canReject property.
`void` | `setCanAccept(boolean value)` Sets the value of the canAccept property.
`void` | `setCanAlert(boolean value)` Sets the value of the canAlert property.
`void` | `setCanDisconnect(boolean value)` Sets the value of the canDisconnect property.
`void` | `setCanPark(boolean value)` Sets the value of the canPark property.
`void` | `setCanRedirect(boolean value)` Sets the value of the canRedirect property.
`void` | `setCanReject(boolean value)` Sets the value of the canReject property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConnectionCapabilities

    public ConnectionCapabilities()

Method Detail

### isCanAccept

    public boolean isCanAccept()

  Gets the value of the canAccept property.

### setCanAccept

    public void setCanAccept(boolean value)

  Sets the value of the canAccept property.

### isCanAlert

    public boolean isCanAlert()

  Gets the value of the canAlert property.

### setCanAlert

    public void setCanAlert(boolean value)

  Sets the value of the canAlert property.

### isCanDisconnect

    public boolean isCanDisconnect()

  Gets the value of the canDisconnect property.

### setCanDisconnect

    public void setCanDisconnect(boolean value)

  Sets the value of the canDisconnect property.

### isCanPark

    public boolean isCanPark()

  Gets the value of the canPark property.

### setCanPark

    public void setCanPark(boolean value)

  Sets the value of the canPark property.

### isCanRedirect

    public boolean isCanRedirect()

  Gets the value of the canRedirect property.

### setCanRedirect

    public void setCanRedirect(boolean value)

  Sets the value of the canRedirect property.

### isCanReject

    public boolean isCanReject()

  Gets the value of the canReject property.

### setCanReject

    public void setCanReject(boolean value)

  Sets the value of the canReject property.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 All Rights Reserved.